function txt_out = aligntxt(txt,rep_char)

%
% replaces all instances of space+rep_char with rep_char
%

txt_out = '';
if nargin==1;
   rep_char = '-';
end;

if ischar(rep_char)==0;
   txt_out = txt;
   return;
end;

for i=1:size(txt,1);
   new_str = strrep(txt(i,:),[' ' rep_char],rep_char);
   if size(new_str,2)<size(txt,2);
      new_str = [new_str blankstr(size(txt,2)-size(new_str,2))];
   end;
   new_str = strrep(new_str,[' [' rep_char],['[' rep_char]);
   if size(new_str,2)<size(txt,2);
      new_str = [new_str blankstr(size(txt,2)-size(new_str,2))];
   end;
   txt(i,:) = new_str;
end;
txt_out = txt;

%
% end of aligntxt.m
%
