function [fn,fs] = getuifont

%
% create an invisible figure with a pushbutton and a text string. check fontname and fontsize of control
% and return values as fn and fs
%

fig = figure('visible','off', ...
             'position',[0 0 200 100], ...
             'menubar','none', ...
             'toolbar','none', ...
             'tag','tempfig');

uc = uicontrol('parent',fig, ...
             'position',[10 10 100 20], ...
             'string','text');

fn = get(uc,'FontName');
fs = get(uc,'FontSize');

close(fig);

%
% end of getuifont.m
%
