function [ndataindex,this_samplebeg,this_sampleend,this_add] = make_dataindex(freq,samplebeg,sampleend)

%
% setting up the actual sample period
%
if strcmp(freq,'q')==1;
   newsamplebeg = samplebeg-(1/8);
   newsampleend = sampleend-(1/8);
   add = 1/4;
elseif strcmp(freq,'m')==1;
   newsamplebeg = samplebeg-(1/24);
   newsampleend = sampleend-(1/24);
   add = 1/12;
else;
   newsamplebeg = samplebeg;
   newsampleend = sampleend;
   add = 1;
end;
ndataindex = newsamplebeg;
lastentry = ndataindex;
j = 2;
while lastentry<=newsampleend;
   lastentry = ndataindex(j-1,1)+add;
   if lastentry<=newsampleend;
      ndataindex = [ndataindex;lastentry];
      j = j+1;
   else;
      break;
   end;
end;

if nargout>=2;
   this_samplebeg = newsamplebeg;
end;

if nargout>=3;
   this_sampleend = newsampleend;
end;

if nargout==4;
   this_add = add;
end;

%
% end of make_dataindex.m
%
