function [p_series,pp_series,qq_series] = pq_nyblom_series(as_sorted,as_quant,as_table,n,r,test_type,deter_type)

%
% computations for p-value plot
%
% as_sorted is repx1
% n, r are the usual
%

rep = size(as_sorted,1);

edf_p_values = nyblom_pvalues(n,r,as_sorted,test_type,deter_type);

p_series = zeros(221,1);
pp_series = zeros(221,1);
qq_series = zeros(221,1);
for num=1:221;
   p_num = edf_p_values(edf_p_values<=as_quant(num,1));
   p_series(num,1) = size(p_num,1)/rep;   
   pp_num = as_sorted(as_sorted<=as_table(num,1));
   pp_series(num,1) = size(pp_num,1)/rep;
   qq_series(num,1) = as_sorted(ceil(as_quant(num,1)*rep),1);
end;

%
% end of pq_nyblom_series.m
%
