function change_axes_color

gca_sel = get(gca,'Selected');
if (strcmp(gca_sel,'on')==0)&(strcmp(get(gca,'Tag'),'legend')==0);
   set(gca,'Selected','on');
end;

font_color = uisetcolor(get(gca,'Color'),'Background Color');

if (isnumeric(font_color))&(size(font_color,2)==3);
   set(gca,'Color',font_color);
   %
   % check if there are any children with tag beginning with 'scatter-'
   %
   line_obj = findobj(gca,'Type','line')';
   if isempty(line_obj)==0;
      for i=1:size(line_obj,2);
         tag_str = get(line_obj(1,i),'Tag');
         if size(tag_str,2)>=8;
            tag_str = tag_str(1,1:8);
         end;
         if strcmp(tag_str,'scatter-')==1;
            set(line_obj(1,i),'Color',font_color,'MarkerFaceColor',font_color);
         end;
      end;
   end;
end;

if (strcmp(gca_sel,'on')==0)&(strcmp(get(gca,'Tag'),'legend')==0);
   set(gca,'Selected','off');
end;

%
% end of change_axes_color.m
%
