function out = fix_model_menu(out,m_v)

%
% Delete items on reopen file menu
%
currmodel = get(out.open,'UserData');
thish = findobj('Type','uimenu','Callback','maindlg reopen')';
if isempty(thish)==0;
   delete(thish);
end;
%
% Create items on reopen file menu with new file order
%
num = 1;
for i=1:size(m_v.reopenfile,1);
   thisfile = strtrim(m_v.reopenfile(i,:));
   if strcmp(currmodel,thisfile)==0;
      if num==1;
         out.thisfile = uimenu('Parent',out.reopen, ...
            'Label',['&1. ' getfilename(thisfile)], ...
            'Callback','maindlg reopen', ...
            'Accelerator','1', ...
            'Separator','on', ...
            'UserData',thisfile, ...
            'Tag',['1-' getfilename(thisfile)]);
      else;
         if num<10;
            out.thisfile = uimenu('Parent',out.reopen, ...
               'Label',['&' num2str(num) '. ' getfilename(thisfile)], ...
               'Callback','maindlg reopen', ...
               'Accelerator',num2str(num), ...
               'UserData',thisfile, ...
               'Tag',[num2str(num) '-' getfilename(thisfile)]);
         else;
            out.thisfile = uimenu('Parent',out.reopen, ...
               'Label',['1&0. ' getfilename(thisfile)], ...
               'Callback','maindlg reopen', ...
               'Accelerator','0', ...
               'UserData',thisfile, ...
               'Tag',['10-' getfilename(thisfile)]);
         end;
      end;
      num = num+1;
   end;
end;

%
% end of fix_model_menu.m
%

