function [out,m_v,curr_ini,oldmodel_var] = main_clear_fcn(out,m_v,curr_ini,oldmodel_var,button_images,fig)

if strcmp(curr_ini.reopenlist,'')==1;
   set(out.reorderlist,'Enable','off');
else;
   set(out.reorderlist,'Enable','on');
end;
set(out.endonames,'UserData',oldmodel_var.evars);
m_v.evars = oldmodel_var.evars;
set(out.exo1names,'UserData',oldmodel_var.xvars1);
m_v.xvars1 = oldmodel_var.xvars1;
set(out.exo0names,'UserData',oldmodel_var.xvars0);
m_v.xvars0 = oldmodel_var.xvars0;
set(out.deternames,'UserData',oldmodel_var.deter);
m_v.deter = oldmodel_var.deter;
m_v.shocks = oldmodel_var.shocks;
set(out.endogenous,'String',oldmodel_var.endofile);
m_v.endofile = oldmodel_var.endofile;
m_v.endosheet = oldmodel_var.endosheet;
set(out.endogenous,'UserData',oldmodel_var.modelsdir);
m_v.modelsdir = oldmodel_var.modelsdir;
m_v.basedir = oldmodel_var.basedir;
set(out.exogenous1,'String',oldmodel_var.exo1file);
m_v.exo1file = oldmodel_var.exo1file;
m_v.exo1sheet = oldmodel_var.exo1sheet;
set(out.exogenous0,'String',oldmodel_var.exo0file);
m_v.exo0file = oldmodel_var.exo0file;
m_v.exo0sheet = oldmodel_var.exo0sheet;
set(out.deterministic,'String',oldmodel_var.deterfile);
m_v.deterfile = oldmodel_var.deterfile;
m_v.detersheet = oldmodel_var.detersheet;
set(out.outputfile,'String',oldmodel_var.outputfile);
m_v.outputfile = oldmodel_var.outputfile;
set(out.mypopup,'Value',oldmodel_var.newp);
m_v.newp = oldmodel_var.newp;
set(out.lagexo,'Value',oldmodel_var.lagexo+1);
m_v.lagexo = oldmodel_var.lagexo;
set(out.mypopuph,'Value',oldmodel_var.newh);
m_v.newh = oldmodel_var.newh;
set(out.mypopupc,'Value',oldmodel_var.newc);
m_v.newc = oldmodel_var.newc;
set(out.radiocoint,'Value',oldmodel_var.cointvalue);
m_v.cointvalue = oldmodel_var.cointvalue;
set(out.radionocoint,'Value',oldmodel_var.nocointvalue);
m_v.nocointvalue = oldmodel_var.nocointvalue;
set(out.serial,'Value',oldmodel_var.spectest(1,1));
set(out.arch,'Value',oldmodel_var.spectest(1,2));
set(out.normality,'Value',oldmodel_var.spectest(1,3));
set(out.constancy,'Value',oldmodel_var.spectest(1,4));
m_v.spectest = oldmodel_var.spectest;
set(out.uconstant,'Value',oldmodel_var.deterselect(1,1));
set(out.rconstant,'Value',oldmodel_var.deterselect(1,2));
set(out.utrend,'Value',oldmodel_var.deterselect(1,3));
set(out.rtrend,'Value',oldmodel_var.deterselect(1,4));
m_v.deterselect = oldmodel_var.deterselect;
set(out.structural,'Value',oldmodel_var.modeltype(1,1));
set(out.reduced,'Value',oldmodel_var.modeltype(1,2));
m_v.modeltype = oldmodel_var.modeltype;
set(out.seasonal,'Value',oldmodel_var.seasonal(1,1));
set(out.seasonal,'UserData',oldmodel_var.freq);
set(out.noseasonal,'Value',oldmodel_var.seasonal(1,2));
m_v.seasonal = oldmodel_var.seasonal;
m_v.freq = oldmodel_var.freq;
set(fig,'Name',['Structural VAR' oldmodel_var.nameinput]);
m_v.nameinput = oldmodel_var.nameinput;
set(out.open,'UserData',oldmodel_var.inputfile);
m_v.inputfile = oldmodel_var.inputfile;
m_v.scale_endo = oldmodel_var.scale_endo;
%
% Fix the scale variables controls
%
set(out.scale_1,'Check','off');
set(out.scale_2,'Check','off');
set(out.scale_3,'Check','off');
set(out.scale_4,'Check','off');
set(out.scale_5,'Check','off');
set(out.scale_6,'Check','off');
set(out.scale_7,'Check','off');
set(out.scale_8,'Check','off');
set(out.scale_9,'Check','off');
if m_v.scale_endo==0.0001;
   set(out.scale_1,'Check','on');
elseif m_v.scale_endo==0.001;
   set(out.scale_2,'Check','on');
elseif m_v.scale_endo==0.01;
   set(out.scale_3,'Check','on');
elseif m_v.scale_endo==0.1;
   set(out.scale_4,'Check','on');
elseif m_v.scale_endo==1;
   set(out.scale_5,'Check','on');
elseif m_v.scale_endo==10;
   set(out.scale_6,'Check','on');
elseif m_v.scale_endo==100;
   set(out.scale_7,'Check','on');
elseif m_v.scale_endo==1000;
   set(out.scale_8,'Check','on');
elseif m_v.scale_endo==10000;
   set(out.scale_9,'Check','on');
end;
%
if isempty(m_v.endosheet)==1;
   set(out.endosheettext,'String','Data sheet: None');
else;
   set(out.endosheettext,'String',['Data sheet: ' m_v.endosheet]);
end;
if isempty(m_v.exo1sheet)==1;
   set(out.exo1sheettext,'String','Data sheet: None');
else;
   set(out.exo1sheettext,'String',['Data sheet: ' m_v.exo1sheet]);
end;
if isempty(m_v.exo0sheet)==1;
   set(out.exo0sheettext,'String','Data sheet: None');
else;
   set(out.exo0sheettext,'String',['Data sheet: ' m_v.exo0sheet]);
end;
if isempty(m_v.detersheet)==1;
   set(out.detersheettext,'String','Data sheet: None');
else;
   set(out.detersheettext,'String',['Data sheet: ' m_v.detersheet]);
end;
%
if fileexist(m_v.endofile)==0;
   set(out.run,'Enable','off');
   set(out.estimate,'Enable','off');
   set(out.model_select,'Enable','off');
   set(out.clear,'Enable','off');
   set(out.close,'Enable','off');
   set(out.endogenoustext,'String','Endogenous variables:  None');
   oldmodel_var.evars = '';
   set(out.endonames,'Enable','off');
   set(out.endonamesmenu,'Enable','off');
   set(out.change_endonames,'Enable','off','CData',button_images.renamedisable);
   set(out.endographicsmenu,'Enable','off');
   set(out.beginyear,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.beginperiod,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.endyear,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.endperiod,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.subbeginyear,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.subbeginperiod,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.subendyear,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.subendperiod,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   set(out.sample,'Enable','off');
   set(out.subsample,'Enable','off');
   set(out.mypopup,'Enable','off');
   set(out.lagexo,'Enable','off');
   set(out.lagexotext,'Enable','off');
   set(out.mypopuph,'Enable','off');
   set(out.mypopupc,'Enable','off');
   set(out.mypopuptext,'Enable','off');
   set(out.mypopuphtext,'Enable','off');
   set(out.mypopupctext,'Enable','off');
   set(out.radiocoint,'Enable','off');
   set(out.radionocoint,'Enable','off');
   set(out.serial,'Enable','off');
   set(out.arch,'Enable','off');
   set(out.normality,'Enable','off');
   set(out.constancy,'Enable','off');
   set(out.uconstant,'Enable','off');
   set(out.rconstant,'Enable','off');
   set(out.utrend,'Enable','off');
   set(out.rtrend,'Enable','off');
   set(out.structural,'Enable','off');
   set(out.reduced,'Enable','off');
   set(out.seasonal,'Enable','off');
   set(out.noseasonal,'Enable','off');
   set(out.exo1menu,'Enable','off');
   set(out.exo0menu,'Enable','off');
   set(out.determenu,'Enable','off');
   set(out.exogenous1text,'Enable','off');
   if strcmp(get(out.exogenous1,'Type'),'uicontrol')==1;
      set(out.exogenous1,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   else;
      editbox(out.exogenous1,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   end;
   set(out.exo1button,'Enable','off','CData',button_images.browsedisable);
   set(out.exogenous0text,'Enable','off');
   if strcmp(get(out.exogenous0,'Type'),'uicontrol')==1;
      set(out.exogenous0,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   else;
      editbox(out.exogenous0,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   end;
   set(out.exo0button,'Enable','off','CData',button_images.browsedisable);
   set(out.deterministictext,'Enable','off');
   if strcmp(get(out.deterministic,'Type'),'uicontrol')==1;
      set(out.deterministic,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   else;
      editbox(out.deterministic,'Enable','off','BackgroundColor',get(0,'defaultuicontrolbackgroundcolor'));
   end;
   set(out.deterbutton,'Enable','off','CData',button_images.browsedisable);
   status_str = ['Structural VAR, version ' num2str(myvers,'%0.2f')];
else;
   set(out.run,'Enable','on');
   set(out.model_select,'Enable','on');
   set(out.estimate,'Enable','on');
   set(out.clear,'Enable','on');
   set(out.close,'Enable','on');
   if strcmp(strtrim(m_v.evars),'')==1;
      set(out.endogenoustext,'String','Endogenous variables:  Not determined');
   else;
      set(out.endogenoustext,'String',['Endogenous variables:  ' m_v.evars]);
   end;
   set(out.beginyear,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.beginperiod,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.endyear,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.endperiod,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.subbeginyear,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.subbeginperiod,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.subendyear,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.subendperiod,'Enable','on','BackgroundColor',[1 1 1]);
   set(out.sample,'Enable','on');
   set(out.subsample,'Enable','on');
   set(out.radiocoint,'Enable','on');
   set(out.radionocoint,'Enable','on');
   set(out.serial,'Enable','on');
   set(out.arch,'Enable','on');
   set(out.normality,'Enable','on');
   set(out.constancy,'Enable','on');
   set(out.uconstant,'Enable','on');
   set(out.rconstant,'Enable','on');
   set(out.utrend,'Enable','on');
   set(out.rtrend,'Enable','on');
   set(out.structural,'Enable','on');
   set(out.reduced,'Enable','on');
   set(out.endonames,'Enable','on');
   set(out.endonamesmenu,'Enable','on');
   set(out.change_endonames,'Enable','on','CData',button_images.rename);
   set(out.endographicsmenu,'Enable','on');
   set(out.mypopuph,'Enable','on');
   set(out.mypopupc,'Enable','on');
   set(out.mypopup,'Enable','on');
   set(out.mypopuptext,'Enable','on');
   set(out.mypopuphtext,'Enable','on');
   set(out.mypopupctext,'Enable','on');
   if strcmp(m_v.freq,'')==0;
      if strcmp(m_v.freq,'y')==0;
         set(out.seasonal,'Enable','on');
         set(out.noseasonal,'Enable','on');
      else;
         set(out.seasonal,'Enable','off');
         set(out.noseasonal,'Enable','off');
      end;
   else;
      set(out.seasonal,'Enable','off');
      set(out.noseasonal,'Enable','off');
   end;
   set(out.exo1menu,'Enable','on');
   set(out.exo0menu,'Enable','on');
   set(out.determenu,'Enable','on');
   set(out.exogenous1text,'Enable','on');
   if strcmp(get(out.exogenous1,'Type'),'uicontrol')==1;
      set(out.exogenous1,'Enable','on','BackgroundColor',[1 1 1]);
   else;
      editbox(out.exogenous1,'Enable','on','BackgroundColor',[1 1 1]);
   end;
   set(out.exo1button,'Enable','on','CData',button_images.browse);
   set(out.exogenous0text,'Enable','on');
   if strcmp(get(out.exogenous0,'Type'),'uicontrol')==1;
      set(out.exogenous0,'Enable','on','BackgroundColor',[1 1 1]);
   else;
      editbox(out.exogenous0,'Enable','on','BackgroundColor',[1 1 1]);
   end;
   set(out.exo0button,'Enable','on','CData',button_images.browse);
   set(out.deterministictext,'Enable','on');
   if strcmp(get(out.deterministic,'Type'),'uicontrol')==1;
      set(out.deterministic,'Enable','on','BackgroundColor',[1 1 1]);
   else;
      editbox(out.deterministic,'Enable','on','BackgroundColor',[1 1 1]);
   end;
   set(out.deterbutton,'Enable','on','CData',button_images.browse);
   out = fix_model_menu(out,m_v);
   status_str = 'Ready';
end;
ud = get(out.statusbar,'UserData');
ud.string = status_str;
set(out.statusbar,'String',ud.string,'UserData',ud);
lagexo_str = 'off';
if fileexist(m_v.exo1file)==1;
   set(out.exo1names,'Enable','on');
   set(out.exo1namesmenu,'Enable','on');
   set(out.change_exo1names,'Enable','on','CData',button_images.rename);
   if strcmp(strtrim(m_v.xvars1),'')==1;
      set(out.exogenous1text,'String','Exogenous I(1) variables:  Not determined');
   else;
      set(out.exogenous1text,'String',['Exogenous I(1) variables:  ' m_v.xvars1]);
   end;
   set(out.exo1graphicsmenu,'Enable','on');
   lagexo_str = 'on';
else;
   set(out.exo1names,'Enable','off');
   set(out.exo1namesmenu,'Enable','off');
   set(out.change_exo1names,'Enable','off','CData',button_images.renamedisable);
   set(out.exogenous1text,'String','Exogenous I(1) variables:  None');
   set(out.exo1graphicsmenu,'Enable','off');
   oldmodel_var.xvars1 = '';
end;
if fileexist(m_v.exo0file)==1;
   set(out.exo0names,'Enable','on');
   set(out.exo0namesmenu,'Enable','on');
   set(out.change_exo0names,'Enable','on','CData',button_images.rename);
   if strcmp(strtrim(m_v.xvars0),'')==1;
      set(out.exogenous0text,'String','Exogenous I(0) variables:  Not determined');
   else;
      set(out.exogenous0text,'String',['Exogenous I(0) variables:  ' m_v.xvars0]);
   end;
   set(out.exo0graphicsmenu,'Enable','on');
   lagexo_str = 'on';
else;
   set(out.exo0names,'Enable','off');
   set(out.exo0namesmenu,'Enable','off');
   set(out.change_exo0names,'Enable','off','CData',button_images.renamedisable);
   set(out.exogenous0text,'String','Exogenous I(0) variables:  None');
   set(out.exo0graphicsmenu,'Enable','off');
   oldmodel_var.xvars0 = '';
end;
if fileexist(m_v.deterfile)==1;
   set(out.deternames,'Enable','on');
   set(out.deternamesmenu,'Enable','on');
   set(out.change_deternames,'Enable','on','CData',button_images.rename);
   if strcmp(strtrim(m_v.deter),'')==1;
      set(out.deterministictext,'String','Deterministic variables:  Not determined');
   else;
      set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
   end;
   set(out.detergraphicsmenu,'Enable','on');
else;
   set(out.deternames,'Enable','off');
   set(out.deternamesmenu,'Enable','off');
   set(out.change_deternames,'Enable','off','CData',button_images.renamedisable);
   set(out.deterministictext,'String','Deterministic variables:  None');
   set(out.detergraphicsmenu,'Enable','off');
   oldmodel_var.deter = '';
end;
%
if strcmp(lagexo_str,'off')==1;
   set(out.lagexo,'Enable','off','Value',1);
   set(out.lagexotext,'Enable','off');
else;
   if strcmp(get(out.lagexo,'Enable'),'off')==1;
      set(out.lagexo,'Enable','on');
      set(out.lagexotext,'Enable','on');
   end;
end;
%
if fileexist(m_v.outputfile)==1;
   set(out.printpreview,'Enable','on');
   set(out.print,'Enable','on');
   set(out.printmenu,'Enable','on');
   set(out.printpreviewmenu,'Enable','on');
   if strcmp(curr_ini.editor,'')==0;
      set(out.editormenu,'Enable','on');
   else;
      set(out.editormenu,'Enable','off');
   end;
   if islatexformat(m_v.outputfile)==1;
      stat_dvi = check_dvi(curr_ini);
      if stat_dvi==0;
         set(out.dvimenu,'Enable','on');
      else;
         set(out.dvimenu,'Enable','off');
      end;
      [stat_ps,dvips] = check_ps(curr_ini);
      if stat_ps==0;
         set(out.psmenu,'Enable','on');
      else;
         set(out.psmenu,'Enable','off');
      end;
      [stat_pdf,prog_seq] = check_pdf(curr_ini);
      if stat_pdf==0;
         set(out.pdfmenu,'Enable','on');
      else;
         set(out.pdfmenu,'Enable','off');
      end;
   else;
      set(out.dvimenu,'Enable','off');
      set(out.psmenu,'Enable','off');
      set(out.pdfmenu,'Enable','off');
   end;
else;
   set(out.printpreview,'Enable','off');
   set(out.print,'Enable','off');
   set(out.printmenu,'Enable','off');
   set(out.printpreviewmenu,'Enable','off');
   if strcmp(curr_ini.editor,'')==0;
      set(out.editormenu,'Enable','off');
   end;
   set(out.dvimenu,'Enable','off');
   set(out.psmenu,'Enable','off');
   set(out.pdfmenu,'Enable','off');
end;
set(out.beginyear,'String',oldmodel_var.beginyear);
m_v.beginyear = oldmodel_var.beginyear;
set(out.beginperiod,'String',oldmodel_var.beginperiod);
m_v.beginperiod = oldmodel_var.beginperiod;
set(out.endyear,'String',oldmodel_var.endyear);
m_v.endyear = oldmodel_var.endyear;
set(out.endperiod,'String',oldmodel_var.endperiod);
m_v.endperiod = oldmodel_var.endperiod;
set(out.subbeginyear,'String',oldmodel_var.subbeginyear);
m_v.subbeginyear = oldmodel_var.subbeginyear;
set(out.subbeginperiod,'String',oldmodel_var.subbeginperiod);
m_v.subbeginperiod = oldmodel_var.subbeginperiod;
set(out.subendyear,'String',oldmodel_var.subendyear);
m_v.subendyear = oldmodel_var.subendyear;
set(out.subendperiod,'String',oldmodel_var.subendperiod);
m_v.subendperiod = oldmodel_var.subendperiod;
set(out.store,'Enable','off');
set(out.savemenu,'Enable','off');
modeldesc = getmodeldesc(m_v,m_v.deterselect,m_v.modeltype,m_v.seasonal);
set(out.text,'String',modeldesc);

%
% end of main_clear_fcn.m
%
