function h = show_text(my_pos,my_clr,my_txt,txt_pos,txtfntsize)

if nargin<4;
   txt_pos = [0 0.5];
end;

textaxes = axes('Units','pixels', ...
         'Box','on', ...
         'TickLength',[0 0], ...
         'CameraUpVector',[0 1 0], ...
         'Color',get(0,'defaultuicontrolbackgroundcolor'), ...
         'Position',my_pos, ...
         'XTickLabelMode','manual', ...
         'YTickLabelMode','manual', ...
         'Tag','ShowText', ...
         'XColor',get(0,'defaultuicontrolbackgroundcolor'), ...
         'YColor',get(0,'defaultuicontrolbackgroundcolor'), ...
         'ZColor',get(0,'defaultuicontrolbackgroundcolor'));

curr_ini = find_inisettings;

if nargin<5;
   realscrsz = get(0,'ScreenSize');
   txtfntsize = curr_ini.gui_fontsize+1;
end;

hdle = text('Parent',textaxes,'Position',txt_pos,'String',my_txt,'FontSize',txtfntsize,'FontName',curr_ini.gui_fontname,'HorizontalAlignment','left','Color',my_clr);

if nargout==1;
   h = hdle;
end;

%
% end of show_text.m
%
