function xi = xi_mat(C,Psi,alpha,p,pe,r,d,q1,q0)

n = size(C,1);

if r==0;
   J_gamma = j_gamma(n,p,pe,r,d,q1,q0);
   %
   % we know that p>1 in this case
   %
   xi = C'*kron(ones(1,p-1),eye(n))*J_gamma;
elseif r==n;
   J_alpha = j_alpha(n,p,pe,n,d,q1,q0);
   xi = C'*J_alpha;
else;
   alpha_bar = alpha/(alpha'*alpha);
   J_alpha = j_alpha(n,p,pe,r,d,q1,q0);
   if p>1;
      Gamma = eye(n)-(Psi(:,d+1:d+n*(p-1))*kron(ones(p-1,1),eye(n)));
      J_gamma = j_gamma(n,p,pe,r,d,q1,q0);
      xi = (C'*kron(ones(1,p-1),eye(n))*J_gamma)+(((C'*Gamma')-eye(n))*alpha_bar*J_alpha);
   else;
      xi = (C'-eye(n))*alpha_bar*J_alpha;
   end;
end;

xi = xi';

%
% end of xi_mat.m
%
